MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClCss_AeadOption_t Union Reference
mcuxClCss » mcuxClCss_Aead » mcuxClCss_Aead_Macros

Command option bit field for mcuxClCss_Aead_Init_Async, mcuxClCss_Aead_UpdateAad_Async, mcuxClCss_Aead_UpdateData_Async and mcuxClCss_Aead_Finalize_Async. More...

`#include <mcuxClCss_Aead.h>`

## Data Fields
struct {
uint32_t value
| Accesses the bit field as a full word. More...
} | word
| Access mcuxClCss_AeadOption_t word-wise. More...
struct {
uint32_t __pad0__:1
| RFU. More...
uint32_t dcrpt:1
| Defines if encryption or decryption shall be performed. More...
uint32_t acpmod:2
| This field is managed internally. More...
uint32_t acpsoe:1
| This field is managed internally. More...
uint32_t acpsie:1
| This field is managed internally. More...
uint32_t msgendw:4
| The size of the last data block (plain/cipher text) in bytes, without padding. More...
uint32_t lastinit:1
| Defines whether this is the last call to init. More...
uint32_t __pad1__:2
| RFU. More...
uint32_t extkey:1
| Defines whether an external key shall be used. More...
uint32_t __pad2__:18
| RFU. More...
} | bits
| Access mcuxClCss_AeadOption_t bit-wise. More...

## Detailed Description

Command option bit field for mcuxClCss_Aead_Init_Async, mcuxClCss_Aead_UpdateAad_Async, mcuxClCss_Aead_UpdateData_Async and mcuxClCss_Aead_Finalize_Async.

## Field Documentation

## ◆ value

uint32_t mcuxClCss_AeadOption_t::value

Accesses the bit field as a full word.

## ◆ word

struct { ... } mcuxClCss_AeadOption_t::word

Access mcuxClCss_AeadOption_t word-wise.

## ◆ __pad0__

uint32_t mcuxClCss_AeadOption_t::__pad0__

RFU.

## ◆ dcrpt

uint32_t mcuxClCss_AeadOption_t::dcrpt

Defines if encryption or decryption shall be performed.

## ◆ acpmod

uint32_t mcuxClCss_AeadOption_t::acpmod

This field is managed internally.

## ◆ acpsoe

uint32_t mcuxClCss_AeadOption_t::acpsoe

This field is managed internally.

## ◆ acpsie

uint32_t mcuxClCss_AeadOption_t::acpsie

This field is managed internally.

## ◆ msgendw

uint32_t mcuxClCss_AeadOption_t::msgendw

The size of the last data block (plain/cipher text) in bytes, without padding.

## ◆ lastinit

uint32_t mcuxClCss_AeadOption_t::lastinit

Defines whether this is the last call to init.

## ◆ __pad1__

uint32_t mcuxClCss_AeadOption_t::__pad1__

RFU.

## ◆ extkey

uint32_t mcuxClCss_AeadOption_t::extkey

Defines whether an external key shall be used.

## ◆ __pad2__

uint32_t mcuxClCss_AeadOption_t::__pad2__

RFU.

## ◆ bits

struct { ... } mcuxClCss_AeadOption_t::bits

Access mcuxClCss_AeadOption_t bit-wise.